예제 #1
0
        public void CreateBase()
        {
            helper.select_feature("RefPlane", 0, true, 0); // select Front plane
            DrawShaftBase();

            SwModel.ClearSelection2(true);                 //clear selection

            helper.select_feature("RefPlane", 0, true, 0); // select Front plane
            helper.select_feature("RefPlane", 1, true, 0); // select Top plane
            SwModel.InsertAxis2(true);                     //insert main axis

            SwModel.ClearSelection2(true);

            helper.select_feature("RefAxis", 0, false, 4);
            SwModel.FeatureManager.FeatureRevolve2(true, true, false, false, false, false, 0, 0, helper.ToRad(360), 0,
                                                   false, false, 0.01, 0.01, 0, 0, 0, true, true, true); //Create base body by revolving

            SwModel.ClearSelection2(true);

            AddChamferFillet();
        }
예제 #2
0
 public override void Bild(ModelDoc2 swModel)
 {
     SmartTools.SelectFromList(swModel, Sselect);
     swModel.InsertAxis2(true);
 }
예제 #3
0
        //nsion.SelectByID2("Point4", "SKETCHPOINT", 0, 0.03, 0, true, 0, null, 0);

        //                                                     ELEMENTS


        Feature Axis(float x, float y, float z, float xx, float yy, float zz)
        {
            SketchPoint one = Point3D(x, y, z), two = Point3D(xx, yy, zz);

            one.Select(true); two.Select(true); Model.InsertAxis2(true); return(Last());
        }